
Pipeline base objects
======================

This is an API reference of the base classes of the pipeline objects.
Please refer to section :ref:`advanced-use-of-mayavi` for instructions on
how to use them.

.. currentmodule:: mayavi.core.api

:class:`Scene`
----------------
.. autoclass:: Scene
    :members:
    :show-inheritance:

:class:`Source`
----------------
.. autoclass:: Source
    :members:
    :show-inheritance:

:class:`Filter`
----------------
.. autoclass:: Filter
    :members:
    :show-inheritance:

:class:`ModuleManager`
-----------------------
.. autoclass:: ModuleManager
    :members:
    :show-inheritance:

:class:`Module`
-----------------------
.. autoclass:: Module
    :members:
    :show-inheritance:


:class:`PipelineBase`
-----------------------
.. autoclass:: PipelineBase
    :members:
    :show-inheritance:

:class:`Engine`
-----------------------
.. autoclass:: Engine
    :members:
    :show-inheritance:


